import request from '@/utils/request'

// 查询WmTransferItem列表
export function listWmTransferItem(query) {
  return request({
    url: '/api/v1/wm-transfer-item',
    method: 'get',
    params: query
  })
}

// 查询WmTransferItem详细
export function getWmTransferItem(id) {
  return request({
    url: '/api/v1/wm-transfer-item/' + id,
    method: 'get'
  })
}

// 新增WmTransferItem
export function addWmTransferItem(data) {
  return request({
    url: '/api/v1/wm-transfer-item',
    method: 'post',
    data: data
  })
}

// 修改WmTransferItem
export function updateWmTransferItem(data) {
  return request({
    url: '/api/v1/wm-transfer-item/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除WmTransferItem
export function delWmTransferItem(data) {
  return request({
    url: '/api/v1/wm-transfer-item',
    method: 'delete',
    data: data
  })
}

